#!/usr/bin/env python3
# -*- coding: utf-8 -*-

with open('registro','w') as f:
    f.write('Ejecutando Script')

import sys
from os.path import expanduser, join


if sys.argv[1] == '-install':
    with open('registro','w') as f:
        f.write('Install')

    ejecutable = join(sys.prefix, "Scripts", "scet.exe")
    archivo = 'SCET.lnk'
    argumentos = ''
    area = join(sys.prefix, 'Lib', 'site-packages')

    desktop_path = get_special_folder_path("CSIDL_COMMON_DESKTOPDIRECTORY")
    startmenu_path = get_special_folder_path("CSIDL_COMMON_PROGRAMS")
    for path in [desktop_path, startmenu_path]:
        create_shortcut(
            ejecutable, # program
            'Sistema de Control de Entradas de Taller', # description
            join(path, archivo), # filename
            argumentos, # parameters
            area, # workdir
            join(area, 'icono.png'), # iconpath
        )
        file_created(join(path, archivo))


if sys.argv[1] == '-remove':
    with open('registro','w') as f:
        f.write('Remove')
    pass
